<!DOCTYPE html>
<html lang="fr" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Groupes</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" th:href="@{/css/style.css}">
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>
</head>
</head>
<body>
    <header th:replace="@{/include/header}"></header>
    <div class="container mt-3">
        <h1>Liste des groupes</h1>
        <span class="text-end d-block mb-2">
            <button class="btn btn-success btn-sm shadow-none"><a href="#">CRÉER</a></button></span>
            <div class="table-responsive">
                <table class="table table-bordered table-hover align-middle">
                <caption summary="Subscribers List" class="text-end">Groups List</caption>
                <thead>
                    <th scope="col">Photo</th>
                    <th scope="col">Nom</th>
                    <th scope="col">Type</th>
                    <th scope="col">Description</th>
                    <th scope="col">Membres</th>
                    <th scope="col" class="text-center">Actions</th>
                </thead>
                <tbody>
                    <tr th:each="groups : ${groups}">
                        <td th:text="${groups.group_photo}"></td>
                        <td th:text="${groups.group_name}"></td>
                        <td th:text="${groups.group_type}"></td>
                        <td th:text="${groups.group_description}"></td>
                        <td><p th:each="user : ${groups.users}" th:text="${user.name}"></p></td>
                        <td class="text-center">
                            <button class="btn btn-primary btn-sm shadow-none"><a th:href="@{'/edit/' + ${groups.id}}" class="fas fa-edit"></a></button>
                            <button class="btn btn-danger btn-sm shadow-none"><a href="#" class="fas fa-trash-alt"></a></button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <footer th:replace="@{/include/footer}"></footer>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
</body>
</html>